Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.6.1   

Description

Hi.

I'm using Linux Mint 17.1 and Audacious 3.6.1.

While playing music, My OS hibernates.

I thinks that Audacious should prevent hibernations while playing music.

While Audacious running, no need it.

History

#1 - July 10, 2016 06:49 - John Lindgren

- Tracker changed from Support to Feature

- Subject changed from My OS hibernates while playing music. to Inhibit sleep modes during playback

I think this is possible in at least GNOME or KDE by integrating with the desktop's power management service.  A small plugin could be added to do

this.  Patches would be welcome.

#2 - May 12, 2018 16:59 - Jim Turner

Wouldn't it just be easier to just wrap Audacious in a little BASH script that first does whatever you need to "block" hibernation, then invoke

Audacious; then when Audacious exits, the script will "unblock" hibernation?  Then set your launcher to launch that script instead of Audacious itself?

Regards,

Jim

#3 - December 02, 2019 20:40 - John Lindgren

- Status changed from New to Rejected

Seems to be a duplicate of #51.
